unit compver;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TAboutComponentVersionBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    Label1: TLabel;
    Label2: TLabel;
    LabelVer: TLabel;
    LabelName: TLabel;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

procedure ShowComponentVersion(AClassName, ACompVersion : String);

implementation
{$R *.DFM}

procedure ShowComponentVersion(AClassName, ACompVersion : String);
Var
  AForm : TAboutComponentVersionBox;
begin
  AForm := TAboutComponentVersionBox.Create(nil);
  AForm.LabelName.Caption := AClassName;
  AForm.LabelVer.Caption := ACompVersion;
  AForm.ShowModal;
  AForm.Free;
end;

end.
 
