unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  macrsubs, Menus, DB, Grids, DBGrids, DBTables, Buttons, StdCtrls,
  ExtCtrls;

type
  TForm1 = class(TForm)
    Panel2: TPanel;
    Panel3: TPanel;
    BitBtn1: TBitBtn;
    Table1: TTable;
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    Functions1: TMenuItem;
    Customer1: TMenuItem;
    Vendor1: TMenuItem;
    Order1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Customer1Click(Sender: TObject);
    procedure Vendor1Click(Sender: TObject);
    procedure Order1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
  private
    procedure ViewCUSTOMER;
    procedure ViewVENDOR;
    procedure ViewORDER;

    procedure Execute(Text : String);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  ms : TMacroSubstitution;


implementation

{$R *.DFM}
procedure TForm1.ViewCUSTOMER;
begin
  with Table1 do begin
     Close;
     TableName := 'CUSTOMER';
     Open;
  end;
end;

procedure TForm1.ViewVENDOR;
begin
  with Table1 do begin
     Close;
     TableName := 'VENDORS';
     Open;
  end;
end;

procedure TForm1.ViewORDER;
begin
  with Table1 do begin
     Close;
     TableName := 'ORDERS';
     Open;
  end;
end;


procedure TForm1.FormCreate(Sender: TObject);
begin
  ms := TMacroSubstitution.Create;
  ms.Add('CUSTOMER', ViewCUSTOMER);
  ms.Add('VENDOR', ViewVENDOR);
  ms.Add('ORDER', ViewORDER);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  ms.Free;
end;

procedure TForm1.Execute(Text : String);
var
  msi : TMacroSubstitutionItem;
begin
   msi := ms.GetbyName(Text);
   if(msi <> Nil) then
     msi.DataProcedure;
end;

procedure TForm1.Customer1Click(Sender: TObject);
begin
  Execute(TMenuItem(Sender).Caption);
end;

procedure TForm1.Vendor1Click(Sender: TObject);
begin
  Execute(TMenuItem(Sender).Caption);
end;

procedure TForm1.Order1Click(Sender: TObject);
begin
  Execute(TMenuItem(Sender).Caption);
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Close;
end;

end.
